TEMPLATE = lib
TARGET = GestureArea
QT += declarative
CONFIG += qt plugin link_pkgconfig
PKGCONFIG += libutouch-geis
QMAKE_EXTRA_TARGETS += dox

TARGET = $$qtLibraryTarget($$TARGET)

# Input
SOURCES += \
    gesturearea_plugin.cpp \
    gesturearea.cpp \
    gesture.cpp \
    touch.cpp \
    geissingleton.cpp \
    dragarea.cpp \
    gestureevent.cpp \
    pincharea.cpp \
    rotatearea.cpp \
    taparea.cpp

HEADERS += \
    gesturearea_plugin.h \
    gesturearea.h \
    gesture.h \
    touch.h \
    geissingleton.h \
    dragarea.h \
    gestureevent.h \
    pincharea.h \
    rotatearea.h \
    taparea.h

OTHER_FILES = qmldir

!equals(_PRO_FILE_PWD_, $$OUT_PWD) {
    copy_qmldir.target = $$OUT_PWD/qmldir
    copy_qmldir.depends = $$_PRO_FILE_PWD_/qmldir
    copy_qmldir.commands = $(COPY_FILE) \"$$replace(copy_qmldir.depends, /, $$QMAKE_DIR_SEP)\" \"$$replace(copy_qmldir.target, /, $$QMAKE_DIR_SEP)\"
    QMAKE_EXTRA_TARGETS += copy_qmldir
    PRE_TARGETDEPS += $$copy_qmldir.target
}

# custom target for doxygen
dox.target = doc
dox.commands = doxygen
dox.depends =
