#ifndef DRAGAREA_H
#define DRAGAREA_H

#include "gesturearea.h"

#include <geis/geis.h>

/**
 * An input-only item for receiving non-instantaneous drag gesture events.
 */

class DragArea : public GestureArea
{
    Q_OBJECT
    Q_DISABLE_COPY(DragArea)

public:
    explicit DragArea(QDeclarativeItem *parent = 0);

    bool isGestureEventHandled(GestureEvent &event);
    void handleGestureUpdateEvent(GestureEvent &event, bool);
};

QML_DECLARE_TYPE(DragArea)

#endif // DRAGAREA_H
