#include "gesturearea_plugin.h"
#include "dragarea.h"
#include "pincharea.h"
#include "rotatearea.h"
#include "taparea.h"
#include "gesture.h"
#include "gestureevent.h"
#include "touch.h"

#include <QtDeclarative/qdeclarative.h>

void GestureAreaPlugin::registerTypes(const char *uri)
{
    qmlRegisterType<DragArea>(uri, 1, 0, "DragArea");
    qmlRegisterType<PinchArea>(uri, 1, 0, "PinchArea");
    qmlRegisterType<RotateArea>(uri, 1, 0, "RotateArea");
    qmlRegisterType<TapArea>(uri, 1, 0, "TapArea");
    qmlRegisterType<Gesture>(uri, 1, 0, "Gesture");
    qmlRegisterType<TouchLimits>(uri, 1, 0, "TouchLimits");
    qmlRegisterType<GestureEvent>(uri, 1, 0, "GestureEvent");
    qmlRegisterType<GestureProperty>(uri, 1, 0, "GestureProperty");
    qmlRegisterType<Touch>(uri, 1, 0, "Touch");
}

Q_EXPORT_PLUGIN2(GestureArea, GestureAreaPlugin)

