#ifndef TAPAREA_H
#define TAPAREA_H

#include "gesturearea.h"

#include <geis/geis.h>

/**
 * An input-only item for receiving instantaneous tap gesture events.
 */

class TapArea : public GestureArea
{
    Q_OBJECT
    Q_DISABLE_COPY(TapArea)

public:
    explicit TapArea(QDeclarativeItem *parent = 0);

    bool isGestureEventHandled(GestureEvent &event);
    void handleGestureUpdateEvent(GestureEvent &event, bool end) { Q_UNUSED(event) Q_UNUSED(end) };
};

QML_DECLARE_TYPE(TapArea)

#endif // TAPAREA_H
